import React, { ReactNode } from "react";
/**

 <ObserveMultiState
 listenTo={[anobject, anobject]}
 control={() => {
        return (

        );
    }}
 />
 **/
export declare class ObserveMultiState extends React.Component<{
    listenTo: (object | null | undefined)[];
    control: () => JSX.Element | ReactNode;
    onWillUnmount?: () => void;
}> {
    render(): JSX.Element;
    componentDidUpdate(prevProps: {
        listenTo: (object | null | undefined)[];
        control: () => JSX.Element | ReactNode;
        onWillUnmount?: () => void;
    }): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
}
